//Creations
onEvent('item.registry', event => {
	// Register new items here
  // The texture for this item has to be placed in kubejs/assets/kubejs/textures/item/example_item.png
  // If you want a custom item model, you can create one in Blockbench and put it in kubejs/assets/kubejs/models/item/example_item.json
	event.create('example_item').displayName('Example Item');
  event.create('missing_texture_64_64').displayName('Missing Texture');
  event.create('amplified_portal_activator').displayName('Amplified Portal Activator');
})

//Tags

//Drawers
onEvent('tags.items', event => {
	//trims
	event.add('kubejs:trim', 'storagedrawers:oak_trim');
	event.add('kubejs:trim', 'storagedrawers:spruce_trim');
	event.add('kubejs:trim', 'storagedrawers:birch_trim');
	event.add('kubejs:trim', 'storagedrawers:jungle_trim');
	event.add('kubejs:trim', 'storagedrawers:acacia_trim');
	event.add('kubejs:trim', 'storagedrawers:dark_oak_trim');
	event.add('kubejs:trim', 'storagedrawers:crimson_trim');
	event.add('kubejs:trim', 'storagedrawers:warped_trim');
	//1*1 Drawers
	event.add('kubejs:drawer_1_1', 'storagedrawers:oak_full_drawers_1');
	event.add('kubejs:drawer_1_1', 'storagedrawers:spruce_full_drawers_1');
	event.add('kubejs:drawer_1_1', 'storagedrawers:birch_full_drawers_1');
	event.add('kubejs:drawer_1_1', 'storagedrawers:jungle_full_drawers_1');
	event.add('kubejs:drawer_1_1', 'storagedrawers:acacia_full_drawers_1');
	event.add('kubejs:drawer_1_1', 'storagedrawers:dark_oak_full_drawers_1');
	event.add('kubejs:drawer_1_1', 'storagedrawers:crimson_full_drawers_1');
	event.add('kubejs:drawer_1_1', 'storagedrawers:warped_full_drawers_1');
	//1*2 Drawers
	event.add('kubejs:drawer_1_2', 'storagedrawers:oak_full_drawers_2');
	event.add('kubejs:drawer_1_2', 'storagedrawers:spruce_full_drawers_2');
	event.add('kubejs:drawer_1_2', 'storagedrawers:birch_full_drawers_2');
	event.add('kubejs:drawer_1_2', 'storagedrawers:jungle_full_drawers_2');
	event.add('kubejs:drawer_1_2', 'storagedrawers:acacia_full_drawers_2');
	event.add('kubejs:drawer_1_2', 'storagedrawers:dark_oak_full_drawers_2');
	event.add('kubejs:drawer_1_2', 'storagedrawers:crimson_full_drawers_2');
	event.add('kubejs:drawer_1_2', 'storagedrawers:warped_full_drawers_2');
	//2*2 Drawers
	event.add('kubejs:drawer_2_2', 'storagedrawers:oak_full_drawers_4');
	event.add('kubejs:drawer_2_2', 'storagedrawers:spruce_full_drawers_4');
	event.add('kubejs:drawer_2_2', 'storagedrawers:birch_full_drawers_4');
	event.add('kubejs:drawer_2_2', 'storagedrawers:jungle_full_drawers_4');
	event.add('kubejs:drawer_2_2', 'storagedrawers:acacia_full_drawers_4');
	event.add('kubejs:drawer_2_2', 'storagedrawers:dark_oak_full_drawers_4');
	event.add('kubejs:drawer_2_2', 'storagedrawers:crimson_full_drawers_4');
	event.add('kubejs:drawer_2_2', 'storagedrawers:warped_full_drawers_4');
	//1*1 Cutted Drawers
	event.add('kubejs:cutted_drawer_1_1', 'storagedrawers:oak_half_drawers_1');
	event.add('kubejs:cutted_drawer_1_1', 'storagedrawers:spruce_half_drawers_1');
	event.add('kubejs:cutted_drawer_1_1', 'storagedrawers:birch_half_drawers_1');
	event.add('kubejs:cutted_drawer_1_1', 'storagedrawers:jungle_half_drawers_1');
	event.add('kubejs:cutted_drawer_1_1', 'storagedrawers:acacia_half_drawers_1');
	event.add('kubejs:cutted_drawer_1_1', 'storagedrawers:dark_oak_half_drawers_1');
	event.add('kubejs:cutted_drawer_1_1', 'storagedrawers:crimson_half_drawers_1');
	event.add('kubejs:cutted_drawer_1_1', 'storagedrawers:warped_half_drawers_1');
	//1*2 Cutted Drawers
	event.add('kubejs:cutted_drawer_1_2', 'storagedrawers:oak_half_drawers_2');
	event.add('kubejs:cutted_drawer_1_2', 'storagedrawers:spruce_half_drawers_2');
	event.add('kubejs:cutted_drawer_1_2', 'storagedrawers:birch_half_drawers_2');
	event.add('kubejs:cutted_drawer_1_2', 'storagedrawers:jungle_half_drawers_2');
	event.add('kubejs:cutted_drawer_1_2', 'storagedrawers:acacia_half_drawers_2');
	event.add('kubejs:cutted_drawer_1_2', 'storagedrawers:dark_oak_half_drawers_2');
	event.add('kubejs:cutted_drawer_1_2', 'storagedrawers:crimson_half_drawers_2');
	event.add('kubejs:cutted_drawer_1_2', 'storagedrawers:warped_half_drawers_2');
	//2*2 Cutted Drawers
	event.add('kubejs:cutted_drawer_2_2', 'storagedrawers:oak_half_drawers_4');
	event.add('kubejs:cutted_drawer_2_2', 'storagedrawers:spruce_half_drawers_4');
	event.add('kubejs:cutted_drawer_2_2', 'storagedrawers:birch_half_drawers_4');
	event.add('kubejs:cutted_drawer_2_2', 'storagedrawers:jungle_half_drawers_4');
	event.add('kubejs:cutted_drawer_2_2', 'storagedrawers:acacia_half_drawers_4');
	event.add('kubejs:cutted_drawer_2_2', 'storagedrawers:dark_oak_half_drawers_4');
	event.add('kubejs:cutted_drawer_2_2', 'storagedrawers:crimson_half_drawers_4');
	event.add('kubejs:cutted_drawer_2_2', 'storagedrawers:warped_half_drawers_4');
})

//Sulfur
onEvent('tags.items', event => {
	event.add('forge:gems', 'betterendforge:crystalline_sulphur');
	event.add('forge:gems/sulfur', 'betterendforge:crystalline_sulphur');
})

//Modifications
onEvent('item.modification', event => {
  event.modify('minecraft:ender_pearl', item => {
    item.maxStackSize = 64
    item.fireResistant = true
  })
})
